%define name	psi
%define version	0.9
%define release	5mdk

%define section	Networking/Chat
%define title	PSI
%define Summary	PSI Jabber client using QT3

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/Instant messaging
URL:		http://psi.affinix.com/
Source:		%name-%version.tar.bz2
Source1:	%name-icons.tar.bz2
Patch0:		%name-gnupg.patch.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	qt3-devel

# Iconsets
Source10:	psi_iconset_dudes.zip
Source11:	psi_iconset_aqualight.zip
Source12:	psi_iconset_businessblack.zip
Source13:	psi_iconset_aquaploum.zip
Source14:	psi_iconset_bluekeramik.zip
Source15:	psi_iconset_thomas.zip
Source16:	psi_iconset_crystal.zip
Source17:	psi_iconset_jilly.zip
Source18:	psi_iconset_smiley.zip
Source19:	psi_iconset_mike.zip
Source20:	psi_iconset_licq.zip
Source21:	psi_iconset_icq2.zip
Source22:	psi_iconset_gabber.zip
Source23:	psi_iconset_cosmic.zip
Source24:	psi_iconset_beos.zip

# Language packs
Source50:	psi_pl.qm.bz2
Source51:	psi_sr.qm.bz2
Source52:	psi_fr.qm.bz2
Source53:	psi_eo.qm.bz2
Source54:	psi_sr@Latn.qm.bz2
Source55:	psi_fi.qm.bz2
Source56:	psi_cs.qm.bz2
Source57:	psi_ru.qm.bz2
Source58:	psi_de.qm.bz2
Source59:	psi_es.qm.bz2
Source60:	psi_mk.qm.bz2
Source61:	psi_nl.qm.bz2
Source62:	psi_sk.qm.bz2

%description
Psi is the premiere Instant Messaging application designed for Microsoft
Windows, Apple Mac OS X and GNU/Linux. Built upon an open protocol named
Jabber, Psi is a fast and lightweight messaging client that utilises the best
in open source technologies. Psi contains all the features necessary to chat,
with no bloated extras that slow your computer down. 

%package -n %name-lang-pack-pl
Summary:	Poland language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-pl

%description -n %name-lang-pack-pl
This package adds support for pl to psi.

%package -n %name-lang-pack-sr
Summary:	Serbian language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-sr

%description -n %name-lang-pack-sr
This package adds support for sr to psi.

%package -n %name-lang-pack-fr
Summary:	France language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-fr

%description -n %name-lang-pack-fr
This package adds support for fr to psi.

%package -n %name-lang-pack-eo
Summary:	Esperanto language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-eo

%description -n %name-lang-pack-eo
This package adds support for eo to psi.

%package -n %name-lang-pack-sr_lat
Summary:	Serbian latin language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-sr

%description -n %name-lang-pack-sr_lat
This package adds support for sr_lat to psi.

%package -n %name-lang-pack-fi
Summary:	Finland language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-fi

%description -n %name-lang-pack-fi
This package adds support for fi to psi.

%package -n %name-lang-pack-cs
Summary:	Czech language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-cs

%description -n %name-lang-pack-cs
This package adds support for cs to psi.

%package -n %name-lang-pack-ru
Summary:	Russian language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-ru

%description -n %name-lang-pack-ru
This package adds support for ru to psi.

%package -n %name-lang-pack-de
Summary:	Deutsch language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-de

%description -n %name-lang-pack-de
This package adds support for de to psi.

%package -n %name-lang-pack-es
Summary:	Spanish language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-es

%description -n %name-lang-pack-es
This package adds support for es to psi.

%package -n %name-lang-pack-mk
Summary:	Macedonia language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-mk

%description -n %name-lang-pack-mk
This package adds support for mk to psi.

%package -n %name-lang-pack-nl
Summary:	Dutch language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-nl

%description -n %name-lang-pack-nl
This package adds support for nl to psi.

%package -n %name-lang-pack-sk
Summary:	Slovak language pack for psi
Group:		Networking/Instant messaging
Requires:	locales-sk

%description -n %name-lang-pack-sk
This package adds support for sk to psi.

%prep
%setup -q 
%setup -q -T -D -a1
%patch -p1 -b .psi-gnupg.patch

%build
QTDIR=%{_prefix}/lib/qt3
QMAKESPEC="linux-g++"
export QTDIR QMAKESPEC
./configure \
	--prefix=%{_prefix}			\
	--bindir=%{_bindir}			\
	--libdir=%{_datadir}/%name	\
	--qtdir=$QTDIR
%make

%install
rm -rf %{buildroot}

# psi doesn't have a make install, and the install script
# copies the files to /usr/local - we don't want that
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_datadir}/%name/{i{mage,consets},sound,certs}
%__cp psi %{buildroot}%{_bindir}/%name
%__cp -r {i{mage,consets},sound,certs} %{buildroot}%{_datadir}/%name

## Install iconsets
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/dudes %SOURCE10
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/aqualight %SOURCE11
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/businessblack %SOURCE12
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/aquaploum %SOURCE13
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/bluekeramik %SOURCE14
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/thomas %SOURCE15
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/crystal %SOURCE16
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/jilly %SOURCE17
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/smiley %SOURCE18
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/mike %SOURCE19
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/licq %SOURCE20
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/icq2 %SOURCE21
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/gabber %SOURCE22
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/cosmic %SOURCE23
%__unzip -d%{buildroot}%{_datadir}/%name/iconsets/beos %SOURCE24

# Install language packages
%__bzip2 -dc %{SOURCE50} > %{buildroot}%{_datadir}/%name/%{name}_pl.qm
%__bzip2 -dc %{SOURCE51} > %{buildroot}%{_datadir}/%name/%{name}_sr.qm
%__bzip2 -dc %{SOURCE52} > %{buildroot}%{_datadir}/%name/%{name}_fr.qm
%__bzip2 -dc %{SOURCE53} > %{buildroot}%{_datadir}/%name/%{name}_eo.qm
%__bzip2 -dc %{SOURCE54} > %{buildroot}%{_datadir}/%name/%{name}_sr@Latn.qm
%__bzip2 -dc %{SOURCE55} > %{buildroot}%{_datadir}/%name/%{name}_fi.qm
%__bzip2 -dc %{SOURCE56} > %{buildroot}%{_datadir}/%name/%{name}_cs.qm
%__bzip2 -dc %{SOURCE57} > %{buildroot}%{_datadir}/%name/%{name}_ru.qm
%__bzip2 -dc %{SOURCE58} > %{buildroot}%{_datadir}/%name/%{name}_de.qm
%__bzip2 -dc %{SOURCE59} > %{buildroot}%{_datadir}/%name/%{name}_es.qm
%__bzip2 -dc %{SOURCE60} > %{buildroot}%{_datadir}/%name/%{name}_mk.qm
%__bzip2 -dc %{SOURCE61} > %{buildroot}%{_datadir}/%name/%{name}_nl.qm
%__bzip2 -dc %{SOURCE62} > %{buildroot}%{_datadir}/%name/%{name}_sk.qm

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%title" \
longtitle="%Summary"
EOF

# icon
%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files 
%defattr(0644,root,root,0755)
%doc README
%attr(0755,root,root) %{_bindir}/psi
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/certs
%{_datadir}/%{name}/certs/*
%dir %{_datadir}/%{name}/iconsets
%{_datadir}/%{name}/iconsets/*
%dir %{_datadir}/%{name}/image
%{_datadir}/%{name}/image/*
%dir %{_datadir}/%{name}/sound
%{_datadir}/%{name}/sound/*

%_menudir/*

%_miconsdir/*
%_iconsdir/*
%_liconsdir/*

%files -n %name-lang-pack-pl
%defattr(-,root,root)
%{_datadir}/%name/%{name}_pl.qm

%files -n %name-lang-pack-sr
%defattr(-,root,root)
%{_datadir}/%name/%{name}_sr.qm

%files -n %name-lang-pack-fr
%defattr(-,root,root)
%{_datadir}/%name/%{name}_fr.qm

%files -n %name-lang-pack-eo
%defattr(-,root,root)
%{_datadir}/%name/%{name}_eo.qm

%files -n %name-lang-pack-sr_lat
%defattr(-,root,root)
%{_datadir}/%name/%{name}_sr@Latn.qm

%files -n %name-lang-pack-fi
%defattr(-,root,root)
%{_datadir}/%name/%{name}_fi.qm

%files -n %name-lang-pack-cs
%defattr(-,root,root)
%{_datadir}/%name/%{name}_cs.qm

%files -n %name-lang-pack-ru
%defattr(-,root,root)
%{_datadir}/%name/%{name}_ru.qm

%files -n %name-lang-pack-de
%defattr(-,root,root)
%{_datadir}/%name/%{name}_de.qm

%files -n %name-lang-pack-es
%defattr(-,root,root)
%{_datadir}/%name/%{name}_es.qm

%files -n %name-lang-pack-mk
%defattr(-,root,root)
%{_datadir}/%name/%{name}_mk.qm

%files -n %name-lang-pack-nl
%defattr(-,root,root)
%{_datadir}/%name/%{name}_nl.qm

%files -n %name-lang-pack-sk
%defattr(-,root,root)
%{_datadir}/%name/%{name}_sk.qm

%changelog
* Tue Sep 16 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9-5mdk
- added gnupg patch (#5655 - thanks to Eric Fernandez)

* Mon Aug 25 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9-4mdk
- rebuild

* Sat Aug 23 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9-3mdk
- added slovak translation

* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9-2mdk
- fix summary macro so the right summary get's used in menu item's longtitle
- fix qt3 path (lib64 issues..)

* Tue Aug 5 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9-1mdk
- new version
- added new iconsets
- many changes in spec
  - correct url and source
  - repackaged icons
  - updated description
  - rewrite icons installation
  - macroszification
- merge with language packages

* Mon Feb 24 2003 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.7-3mdk
- New glibc

* Sat Dec 28 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.7-2mdk
- Rebuild for new glibc
- Updated URL

* Sat Nov 16 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.7-1mdk
- Updated to 0.8.7
- Added all the iconsets
- Call configure

* Sat Aug 31 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.6-2mdk
- Forgot to copy the sound and certs directories
- Corrected URL
- TODO: A user reported, that there's a problem with the ssl plugin?

* Thu Aug 15 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.6-1mdk
- 0.8.6

* Mon May 20 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.5-1mdk
- 0.8.5
- Fix URL
- Remove patches - applied upstream

* Tue Feb  8 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.4-1mdk
- 0.8.4

* Mon Jan 14 2002 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.8.3.1-1mdk
- First Mandrake release, based on the Conectiva pacakge

* Tue Dec 18 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.8.3.1-1cl
- New minor bugfix version

* Tue Nov 13 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.8.2-1cl
- Bug fix adn new features release
- Name changed. Author uses 0.8.x nomenclature, leaving 0.8x lost
- Epoch added

* Mon Nov 12 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.81-4cl
- Minor Spec changes
- Solved install dir problems

* Fri Nov 09 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.81-3cl
- Added description
- Added menu items
- Added icons

* Fri Nov 09 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.81-2cl
- Added patch to enable right datadir

* Fri Nov 09 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.81-1cl
- First CL package
- Really bad way to install

